Bug 1123273 - slapschema reports error but returns 0 and not 1 as it used to
Summary: slapschema reports error but returns 0 and not 1 as it used to
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 21
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Matus Honek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1119842
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 08:21 UTC by David Spurek
Modified: 2015-10-14 15:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1119842
Environment:
Last Closed: 2015-10-14 15:45:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenLDAP ITS 7901 None None None Never

Description David Spurek 2014-07-25 08:21:34 UTC
Tested with openldap-2.4.39-3.fc20
+++ This bug was initially created as a clone of Bug #1119842 +++

Description of problem:
see the reproducer

Version-Release number of selected component (if applicable):
openldap-2.4.39-8.el6

How reproducible:
always

Steps to Reproduce:

1. With the old openldap pckage the following scenario worked as expected:

# cat /etc/openldap/slapd.conf
include         /etc/openldap/schema/core.schema
include         /etc/openldap/schema/cosine.schema
include         /etc/openldap/schema/inetorgperson.schema
include         /etc/openldap/schema/nis.schema
allow bind_v2
pidfile         /var/run/openldap/slapd.pid
argsfile        /var/run/openldap/slapd.args

database        ldif
suffix          dc=example,dc=com
rootdn          "cn=Manager,dc=example,dc=com"
# password is 'x'
rootpw          {SSHA}tOSmeQCcYIm1S9ujgpg2Km5rpUnR9dRB

directory       /var/lib/ldap/
include         /etc/openldap/schema/dyngroup.schema

# rpm -q openldap
openldap-2.4.23-34.el6_5.1.x86_64
openldap-2.4.23-34.el6_5.1.i686
#
# slapschema; echo $?
0
# slapschema -n0; echo $?
# no data for entry id=00000000

1
# slapschema -n1; echo $?
0
#
# sed -i 's/^include.*dyngroup.schema//' /etc/openldap/slapd.conf
#
# slapschema; echo $?
str2entry: invalid value for attributeType objectClass #0 (syntax 1.3.6.1.4.1.1466.115.121.1.38)
# no data for entry id=00000000

1
# slapschema -n0; echo $?
# no data for entry id=00000000

1
# slapschema -n1; echo $?
str2entry: invalid value for attributeType objectClass #0 (syntax 1.3.6.1.4.1.1466.115.121.1.38)
# no data for entry id=00000000

1


2. But after rebase it returns 0 even if it reports error

# rpm -q openldap
openldap-2.4.39-8.el6.x86_64
openldap-2.4.39-8.el6.i686
# cat /etc/openldap/slapd.conf
include         /etc/openldap/schema/core.schema
include         /etc/openldap/schema/cosine.schema
include         /etc/openldap/schema/inetorgperson.schema
include         /etc/openldap/schema/nis.schema
allow bind_v2
pidfile         /var/run/openldap/slapd.pid
argsfile        /var/run/openldap/slapd.args

database        ldif
suffix          dc=example,dc=com
rootdn          "cn=Manager,dc=example,dc=com"
# password is 'x'
rootpw          {SSHA}tOSmeQCcYIm1S9ujgpg2Km5rpUnR9dRB

directory       /var/lib/ldap/
include         /etc/openldap/schema/dyngroup.schema

#
# slapschema; echo $?
0
# slapschema -n0; echo $?
0
# # ^^^ This can be considered as an improvement
#
# slapschema -n1; echo $?
0
#
# sed -i 's/^include.*dyngroup.schema//' /etc/openldap/slapd.conf
#
# slapschema; echo $?
53c54cdb str2entry: invalid value for attributeType objectClass #0 (syntax 1.3.6.1.4.1.1466.115.121.1.38)
0
# slapschema -n0; echo $?
0
# slapschema -n1; echo $?
53c54ce0 str2entry: invalid value for attributeType objectClass #0 (syntax 1.3.6.1.4.1.1466.115.121.1.38)
0
# # There should be 1 returned, but it returned 0

--- Additional comment from Jan Synacek on 2014-07-21 02:07:47 EDT ---

Could you please rerun the test using -b instead of -n, and also enabling verbose mode?

--- Additional comment from Patrik Kis on 2014-07-21 04:28:16 EDT ---

(In reply to Jan Synacek from comment #2)
> Could you please rerun the test using -b instead of -n, and also enabling
> verbose mode?

# cat /etc/openldap/slapd.conf
include         /etc/openldap/schema/core.schema
include         /etc/openldap/schema/cosine.schema
include         /etc/openldap/schema/inetorgperson.schema
include         /etc/openldap/schema/nis.schema
allow bind_v2
pidfile         /var/run/openldap/slapd.pid
argsfile        /var/run/openldap/slapd.args

database        ldif
suffix          dc=example,dc=com
rootdn          "cn=Manager,dc=example,dc=com"
# password is 'x'
rootpw          {SSHA}tOSmeQCcYIm1S9ujgpg2Km5rpUnR9dRB

directory       /var/lib/ldap/
include         /etc/openldap/schema/dyngroup.schema

# slapschema -v -b "dc=example,dc=com"; echo $?
# id=00000001
# id=00000002
# id=00000003
# id=00000004
# id=00000005
# id=00000006
0
# slapschema -v -n1; echo $?
# id=00000001
# id=00000002
# id=00000003
# id=00000004
# id=00000005
# id=00000006
0

# sed -i 's/^include.*dyngroup.schema//' /etc/openldap/slapd.conf
#
# slapschema -v -n1; echo $?
53ccce80 str2entry: invalid value for attributeType objectClass #0 (syntax 1.3.6.1.4.1.1466.115.121.1.38)
0
# slapschema -v -b "dc=example,dc=com"; echo $?
53ccce8c str2entry: invalid value for attributeType objectClass #0 (syntax 1.3.6.1.4.1.1466.115.121.1.38)
0
#

--- Additional comment from Jan Synacek on 2014-07-21 08:16:25 EDT ---



--- Additional comment from Jan Synacek on 2014-07-21 08:24:52 EDT ---

Reported upstream: http://www.openldap.org/its/index.cgi?findid=7901.


--- Additional comment from Jan Synacek on 2014-07-24 02:43:32 EDT ---

Quoting upstream response:

"It's not clear to me that this is a bug. slapschema sends output to stdout, 
not stderr. (And the manpage documents this fact.) Which implies that the 
output it produces is considered to be normal, not error messages. It also 
continues processing, independent of the -c continue option, which also 
implies that it does not consider these situations to be errors.

Leaving this alone for now."

So am I.

Comment 2 Fedora Admin XMLRPC Client 2015-04-29 10:50:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2015-05-29 12:28:11 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Matus Honek 2015-06-22 12:55:29 UTC
Moving to F21 as upstream is still unsure.

Comment 5 Matus Honek 2015-10-14 15:45:59 UTC
As upstream does not think this is a bug I am closing this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.